Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class PolicyNode_c

    java.lang.Object
      polyglot.ast.Node_c
          jif.ast.PolicyNode_c

All Implemented Interfaces:
  java.lang.Cloneable, PolicyNode, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.util.Copy

Direct Known Subclasses:
  ReaderPolicyNode_c, WriterPolicyNode_c

    public class PolicyNode_c

extends polyglot.ast.Node_c
implements PolicyNode

An implementation of the `PolicyLabel` interface.

Field Summary
`protected PrincipalNode` | `owner`
`protected Policy` | `policy`

Fields inherited from class polyglot.ast.Node_c
`del, error, ext, position`

Constructor Summary
`PolicyNode_c(polyglot.util.Position pos, Policy policy)`
`PolicyNode_c(polyglot.util.Position pos, PrincipalNode owner)`

Method Summary
`boolean` | `isDisambiguated()`
`PrincipalNode` | `owner()`
`PolicyNode` | `owner(PrincipalNode owner)`
`Policy` | `policy()`

Methods inherited from class polyglot.ast.Node_c
`addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copy, del, del, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, enterChildScope, enterScope, error, error, exceptionCheck, exceptionCheckEnter, ext, ext, ext, ext, init, isTypeChecked, node, position, position, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, toString, translate, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitChildren, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.util.Copy
`copy`

Field Detail

### owner

    protected PrincipalNode owner

### policy

    protected Policy policy

Constructor Detail

### PolicyNode_c

    public PolicyNode_c(polyglot.util.Position pos,
                        Policy policy)

### PolicyNode_c

    public PolicyNode_c(polyglot.util.Position pos,
                        PrincipalNode owner)

Method Detail

### policy

    public Policy policy()

  Specified by:
    `policy` in interface `PolicyNode`

### owner

    public PrincipalNode owner()

  Specified by:
    `owner` in interface `PolicyNode`

### owner

    public PolicyNode owner(PrincipalNode owner)

  Specified by:
    `owner` in interface `PolicyNode`

### isDisambiguated

    public boolean isDisambiguated()

  Specified by:
    `isDisambiguated` in interface `polyglot.ast.Node`
  Overrides:
    `isDisambiguated` in class `polyglot.ast.Node_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD